MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029667Open CASCADE[OCCT] OCCT:Visualizationpublic2018-03-30 16:342018-06-29 21:19
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029667: Visualization, TKV3d - User-defined texture coordinates corrupted by StdPrs_ShadedShape
DescriptionIt is impossible to map a texture to a BRep face when it has no underlying geometrical surface even if it contains user-defined Poly_Triangulation with valid pre-normalized UV nodes.

fillTriangles() function in StdPrs_ShadedShape.cxx tries to transform the UV points obtained from Poly_Triangulation using the UV parametric range of a face and this breaks the texture mapping in case of a void UV range. It looks logical to pass non-transformed user-defined UV coordinates directly to the renderer as texture coordinates in such a case.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon texture_KO.png (78,645 bytes) 2018-03-30 16:34
png file icon texture_OK.png (95,434 bytes) 2018-03-30 16:34

- Relationships

-  Notes
(0075064)
git (administrator)
2018-03-30 16:38

Branch CR29667 has been created by san.

SHA-1: 66453b348337a4d3ca648fe3f5ddccf0e11d6697


Detailed log of new commits:

Author: san
Date: Fri Mar 30 16:38:34 2018 +0300

    0029667: Visualization, TKV3d - User-defined texture coordinates corrupted by StdPrs_ShadedShape
    
    Add protection in fillTriangles() against void UV range of a face.
(0075066)
git (administrator)
2018-03-30 16:41

Branch CR29667 has been updated forcibly by san.

SHA-1: 795d1a3f8ad50319d981cc863cbec1ae394dade0
(0075067)
san (developer)
2018-03-30 16:43

Please proceed to integration.
(0075084)
san (developer)
2018-03-30 18:45

Branch CR29667 certification completed:
http://jenkins-test-11.nnov.opencascade.com/view/CR29667-master-SAN/view/COMPARE/ [^]

Ready for integration.
(0075088)
bugmaster (administrator)
2018-03-30 19:32

Combination -
OCCT branch : CR29667 SHA - 795d1a3f8ad50319d981cc863cbec1ae394dade0
Products branch : master SHA - d1433da51be7aa6ea5f04a20d332d5b18f879d1f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18243.779999999922 / 18135.489999999976 [+0.60%]
Products
Total CPU difference: 7470.2199999999975 / 7435.139999999992 [+0.47%]
Windows-64-VC10:
OCCT
Total CPU difference: 18331.20950699855 / 17864.39211459853 [+2.61%]
Products
Total CPU difference: 8245.448455099997 / 8129.77371359997 [+1.42%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075348)
git (administrator)
2018-04-11 11:00

Branch CR29667 has been deleted by kgv.

SHA-1: 795d1a3f8ad50319d981cc863cbec1ae394dade0

- Related Changesets
occt: master d0510644
Timestamp: 2018-03-30 13:38:34
Author: san
Committer: bugmaster
Details ] Diff ]
0029667: Visualization, TKV3d - User-defined texture coordinates corrupted by StdPrs_ShadedShape

Add protection in fillTriangles() against void UV range of a face.
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-30 16:34 san New Issue
2018-03-30 16:34 san Assigned To => san
2018-03-30 16:34 san File Added: texture_KO.png
2018-03-30 16:34 san File Added: texture_OK.png
2018-03-30 16:38 git Note Added: 0075064
2018-03-30 16:41 git Note Added: 0075066
2018-03-30 16:42 san Status new => resolved
2018-03-30 16:42 san Steps to Reproduce Updated View Revisions
2018-03-30 16:43 san Note Added: 0075067
2018-03-30 16:43 san Assigned To san => bugmaster
2018-03-30 16:43 san Status resolved => reviewed
2018-03-30 18:44 san Assigned To bugmaster => san
2018-03-30 18:44 san Status reviewed => assigned
2018-03-30 18:44 san Status assigned => resolved
2018-03-30 18:45 san Note Added: 0075084
2018-03-30 18:45 san Assigned To san => bugmaster
2018-03-30 18:45 san Status resolved => reviewed
2018-03-30 19:32 bugmaster Test case number => Not needed
2018-03-30 19:32 bugmaster Note Added: 0075088
2018-03-30 19:32 bugmaster Status reviewed => tested
2018-04-11 07:49 bugmaster Changeset attached => occt master d0510644
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075348
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker